<div class="dropdown" [ngClass]="{'active': isActive, 'disabled': !isActive}">
  <button class="dropdown-button" (click)="isActive = !isActive">{{ selectedItem || 'Select Item' }} <mat-icon class="rotated-icon">keyboard_arrow_down</mat-icon></button>
  <div class="dropdown-content" >
    <div *ngFor="let item of items" (click)="selectItem(item)" class="dropdown-item">
      {{ item }}
    </div>
  </div>
</div>
